<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$objetocalculo = new calculos(); //calcula todos valores finais
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$preenchimento=$sessao->getVar('controle1');
if($preenchimento=='branco'):
    $amostraLong=0;
endif;	
//echo("amostralong= $amostraLong<br>");
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $metade=$larguraUtil/2;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
  		     $laudoLong  =$sessao->getVar('laudoLong');
			 //echo("sssssssssql= $userTTAP->extras_select <br>");	
			 $pdf->AddPage();//adicionando a primera pafina 
			 $cota1=6;
			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
			//ACESSA TODAS VARIAVEIS'
				$generica=new tabelagenerica();
				$generica->tabela="laudoscampos,camposproducao,remetente,especies,cultivar";
				$generica->campos_valores = array(
						"prd_nome" => NULL,
						"prd_cpf" => NULL,
						"prd_renasem" => NULL,
						"esp_nome" => NULL,
						"ctv_nome" => NULL,



						"cpr_nome_do_campo" => NULL,
						"cpr_area" => NULL,
						"cpr_endereco" => NULL,
						"cpr_municipio" => NULL,
						"cpr_uf" => NULL,
						"cpr_safra" => NULL,
						"cpr_categoria" => NULL,
						"cpr_endereco" => NULL,
						"cpr_plantio_anterior" => NULL,
						"cpr_data_plantio" => NULL,
						
						"lau_fase" => NULL,
						"lau_data" => NULL,
						"lau_tecnico" => NULL,
						"lau_pragas" => NULL,
						"lau_numero" => NULL,
						"lau_densidade" => NULL,
						"lau_sub_amostra" => NULL,
						"lau_plantas_sub_amostra" => NULL,
						"lau_pragas" => NULL,
						"lau_tratamento_reco" => NULL,
						"lau_nao_conformidade" => NULL,
						"lau_medida_corretiva" => NULL,
						"lau_aprovacao" => NULL,
						"lau_revistoria" => NULL,
						"lau_isolamento" => NULL,
						"lau_a1" => NULL,
						"lau_b1" => NULL,
						"lau_c1" => NULL,
						"lau_d1" => NULL,
						"lau_e1" => NULL,
						"lau_f1" => NULL,
						"lau_a2" => NULL,
						"lau_b2" => NULL,
						"lau_c2" => NULL,
						"lau_d2" => NULL,
						"lau_e2" => NULL,
						"lau_f2" => NULL,
						"lau_a3" => NULL,
						"lau_b3" => NULL,
						"lau_c3" => NULL,
						"lau_d3" => NULL,
						"lau_e3" => NULL,
						"lau_f3" => NULL,
						"lau_a4" => NULL,
						"lau_b4" => NULL,
						"lau_c4" => NULL,
						"lau_d4" => NULL,
						"lau_e4" => NULL,
						"lau_f4" => NULL,
						"lau_a5" => NULL,
						"lau_b5" => NULL,
						"lau_c5" => NULL,
						"lau_d5" => NULL,
						"lau_e5" => NULL,
						"lau_f5" => NULL,

					);




				$generica->extras_select =" where  ctv_especie=esp_id && ctv_id=cpr_cultivar and lau_campo=cpr_id  && cpr_id_produtor=prd_id &&  lau_id=" . $laudoLong;
				$generica->selecionaCampos($generica);
				//echo("zzzzzzzzzzzzz $generica->extras_select<br>");
				while ($res = $generica->retornaDados()):
                    //vem do campo
					$nomeCampo=$res->cpr_nome_do_campo;
                    $areaCampo=$res->cpr_area;
                    $enderecoVistoria=$res->cpr_endereco;
					$muniCampo=$res->cpr_municipio;
					$ufCampo=$res->cpr_uf;
					$safraCampo=$res->cpr_safra;
					$categoriaCampo=$res->cpr_categoria;
					$culturaAnterior=$res->cpr_plantio_anterior;
					$plantio =$res->cpr_data_plantio;

                    //vem do produtor
					$nomeProd=$res->prd_nome;
					$cpfProd=$res->prd_cpf;
					$coopProd="xxxx";
					$renaProd=$res->prd_renasem;
					
                    //vem da especei e da cultivar
					$especieCampo=$res->esp_nome;
					$cultivarCampo=$res->ctv_nome;
					
					

                    //vem do laudo
                    $fase=$res->lau_fase;
                    $dataLaudo=$res->lau_data;
                    $densidade=$res->lau_densidade;
                    $sub_amostra=$res->lau_sub_amostra;
                    $pantas_sub_amostra=$res->lau_plantas_sub_amostra;
                    $pragas=$res->lau_pragas;
                    $tratamento=$res->lau_tratamento_reco;
                    $conformidade=$res->lau_nao_conformidade;
                    $medidas=$res->lau_medida_corretiva;
                    $idTecnico=$res->lau_tecnico;
                    $numero=$res->lau_numero;
					$aprovacao=$res->lau_aprovacao;
                    $revistoria=$res->lau_revistoria;
					$isolamentoLido=$res->lau_isolamento;

                    $a1=$res->lau_a1;
                    $b1=$res->lau_b1;
                    $c1=$res->lau_c1;
                    $d1=$res->lau_d1;
                    $e1=$res->lau_e1;
                    $f1=$res->lau_f1;
                    $a2=$res->lau_a2;
                    $b2=$res->lau_b2;
                    $c2=$res->lau_c2;
                    $d2=$res->lau_d2;
                    $e2=$res->lau_e2;
                    $f2=$res->lau_f2;
                    $a3=$res->lau_a3;
                    $b3=$res->lau_b3;
                    $c3=$res->lau_c3;
                    $d3=$res->lau_d3;
                    $e3=$res->lau_e3;
                    $f3=$res->lau_f3;
                    $a4=$res->lau_a4;
                    $b4=$res->lau_b4;
                    $c4=$res->lau_c4;
                    $d4=$res->lau_d4;
                    $e4=$res->lau_e4;
                    $f4=$res->lau_f4;
                    $a5=$res->lau_a5;
                    $b5=$res->lau_b5;
                    $c5=$res->lau_c5;
                    $d5=$res->lau_d5;
                    $e5=$res->lau_e5;
                    $f5=$res->lau_f5;

                endwhile;                
		   $s1=$a1+$b1+$c1+$d1+$e1+$f1;
		   $s2=$a2+$b2+$c2+$d2+$e2+$f2;
		   $s3=$a3+$b3+$c3+$d3+$e3+$f3;
		   $s4=$a4+$b4+$c4+$d4+$e4+$f4;
		   $s5=$a5+$b5+$c5+$d5+$e5+$f5;
           if($aprovacao=="SIM"):
		      $aprovSim="x";
		   else:
		      $aprovNao="x";
		   endif;	  
           if($revistoria=='SIM')$revistoriaSim='x';
			//achar id do tecnico
		    $tecnico=post('tecnico');
			$user = new tecnico();
			$user->extras_select = "WHERE ret_id=".$idTecnico;
	        $user->selecionaTudo($user);
	        while ($res = $user->retornaDados()):
				$nomeRT=$res->ret_nome;//laudo
			    $creaRT=$res->ret_crea;//laudo
			    $cpfRT=$res->ret_cpf;//laudo
			    $renaRT=$res->ret_renasem;//laudo
			    $muniRT=$res->ret_municipio;//laudo
	        endwhile;	

	         $pdf->SetFont('Arial','B',11);
			
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 //imprime o timbre
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');

	         $pdf->SetFont('Arial','B',16);
			 $cota1=3;
			 $pdf->setXY(60,$cota1);
			 $pdf->Cell(50,7,'Laudo de Vistoria',0,1,'C');//lab nome
             //imprime dados lab			 
	         $pdf->SetFont('Arial','',7);
			 $posicaoCab1=90;
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=7; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=11;$pdf->setXY($posicaoCab1,$cota1);
			 
			 $pdf->Cell(140,5,utf8_decode('RENASEM 123456/2027????'),0,1,'C');//RENASEM PERSONALIZADO POR CLIENTE-RENASEM COMO ENTIDADE CERTIFICADORA
             
			 //mnumero laudo
	         $pdf->SetFont('Arial','',9);
 			 $cota1=30;
			 $pdf->setXY(110,$cota1);
			 $pdf->Cell(50,7,utf8_decode('Número:      '.$numero) ,0,0,'L');//laudo
			 $pdf->Cell(50,7,'Data:  '.$dataLaudo ,0,0,'L');//laudo

			 //RESPONSAVEL TECNICO
 			 $cota1+=20;
	         $pdf->SetFont('Arial','B',12);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,7,utf8_decode('IDENTIFICAÇÃO DO RESPONSÁVEL TÉCNICO') ,0,0,'C');//laudo

	         $pdf->SetFont('Arial','',8);
 			 $cota1+=7;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade,5,utf8_decode('Nome:'.$nomeRT) ,1,0,'L');//laudo
			 $pdf->Cell($metade,5,utf8_decode('CREA Nº:'.$creaRT) ,1,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade,5,utf8_decode('CPF:'.$cpfRT) ,1,0,'L');//laudo
			 $pdf->Cell($metade,5,utf8_decode('Credenciamento no RENASEM Nº:'.$renaRT) ,1,0,'L');//laudo

			 //produtor e campo de producaco
 			 $cota1+=8;
	         $pdf->SetFont('Arial','B',12);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,7,utf8_decode('IDENTIFICAÇÃO DO PRODUTOR E DO CAMPO DE PRODUÇÃO') ,0,0,'C');//laudo

	         $pdf->SetFont('Arial','',8);
 			 $cota1+=7;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade,5,utf8_decode('Nome:'.$nomeProd) ,1,0,'L');//laudo
			 $pdf->Cell($metade,5,' ',1,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade,5,utf8_decode('CNPJ/CPF:'.$cpfProd) ,1,0,'L');//laudo
			 $pdf->Cell($metade,5,utf8_decode('Inscrição no RENASEM:'.$renaProd) ,1,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Cooperante:'.$coopProd) ,1,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,10);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Endereço do local de:') ,0,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('vistoria.'.$coopProd) ,0,0,'L');//laudo
			 $pdf->setXY(40,$cota1-3);
			 $pdf->Cell($larguraUtil,5,utf8_decode($enderecoVistoria) ,0,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade,5,utf8_decode('Município/UF.'.$muniCampo.'/'.$ufCampo) ,1,0,'L');//laudo
			 $pdf->Cell($metade,5,utf8_decode('Safra.'.$safraCampo) ,1,0,'L');//laudo
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($metade/2,5,utf8_decode('Nº do campo:.'.$nomeCampo) ,1,0,'L');//laudo
			 $pdf->Cell($metade/2,5,utf8_decode('Espécie:'.$especieCampo) ,1,0,'L');//laudo
			 $pdf->Cell($metade/2,5,utf8_decode('Cultivar:'.$cultivarCampo) ,1,0,'L');//laudo
			 $pdf->Cell($metade/2,5,utf8_decode('Categoria:'.$categoriaCampo) ,1,0,'L');//laudo

             //setor fase da cultura
 			 $cota1+=7;
			 $larg1=36;
			 $larg2=26;
			 $larg3=46;
			 $larg4=31;
			 $larg5=34;
			 $larg6=21;
			 $pdf->Rect($margemEsquerda,$cota1,$larg1,10);
			 $pdf->Rect($margemEsquerda+$larg1,$cota1,$larg2,10);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2,$cota1,$larg3,10);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2+$larg3,$cota1,$larg4,10);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2+$larg3+$larg4,$cota1,$larg5,10);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2+$larg3+$larg4+$larg5,$cota1,$larg6,10);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Fase de cultura') ,0,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('Área(ha)') ,0,0,'C');//laudo
			 $pdf->Cell($larg3,5,utf8_decode('Espécie ou cultivar do') ,0,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode('Data do plantio') ,0,0,'C');//laudo
			 $pdf->Cell($larg5,5,utf8_decode('Data provável da') ,0,0,'C');//laudo
			 $pdf->Cell($larg6,5,utf8_decode('Produção') ,0,0,'C');//laudo
             //segunda linha dentro dos retangulos
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode(' ') ,0,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('') ,0,0,'C');//laudo
			 $pdf->Cell($larg3,5,utf8_decode('pantio anterior') ,0,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode('') ,0,0,'C');//laudo
			 $pdf->Cell($larg5,5,utf8_decode('colheita') ,0,0,'C');//laudo
			 $pdf->Cell($larg6,5,utf8_decode('estimada') ,0,0,'C');//laudo
             //terceira linha dentro dos retangulos(resultados))
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode($fase) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($areaCampo) ,1,0,'C');//laudo
			 $pdf->Cell($larg3,5,utf8_decode($culturaAnterior) ,1,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode($plantio) ,1,0,'C');//laudo
			 $pdf->Cell($larg5,5,utf8_decode($dtProvavelColheita) ,1,0,'C');//laudo
			 $pdf->Cell($larg6,5,utf8_decode($estimada) ,1,0,'C');//laudo
 
             //setor isolamento
 			 $cota1+=7;
			 $larg1=63;
			 $larg2=45;
			 $larg3=47;
			 $larg4=39;
			 $pdf->Rect($margemEsquerda,$cota1,$larg1,15);
			 $pdf->Rect($margemEsquerda+$larg1,$cota1,$larg2,15);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2,$cota1,$larg3,15);
			 $pdf->Rect($margemEsquerda+$larg1+$larg2+$larg3,$cota1,$larg4,15);
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Isolamento') ,0,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('Densidade populacional') ,0,0,'C');//laudo
			 $pdf->Cell($larg3,5,utf8_decode('Nº de sub-amostras') ,0,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode('Nº de plantas/sub-') ,0,0,'C');//laudo
             //segunda linha dentro dos retangulos
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda+1,$cota1);
             if($isolamentoLido=='SIM'):
			    $caixote1="x";
			    $caixote2="";
             else:
                $caixote1="";			 
			    $caixote2="x";
			 endif;			 			 
			 $pdf->Cell(4,4,$caixote1 ,1,0,'C');//laudo
			 $pdf->Cell($larg1,5,utf8_decode('Adequado') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('(Plantas/m²)') ,0,0,'C');//laudo
			 
			 
			 $pdf->Cell($larg3,5,utf8_decode('') ,0,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode('amostra') ,0,0,'C');//laudo
             //terceira linha dentro dos retangulos(resultados))
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda+1,$cota1);
			 $pdf->Cell(4,4,$caixote2 ,1,0,'C');//laudo
			 $pdf->Cell($larg1,5,utf8_decode('Inadequado') ,0,0,'L');//laudo
             //quarta linha dentro dos retangulos(resultados))
 			 $cota1+=5;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode(" -") ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($densidade) ,1,0,'C');//laudo
			 $pdf->Cell($larg3,5,utf8_decode($sub_amostra) ,1,0,'C');//laudo
			 $pdf->Cell($larg4,5,utf8_decode($pantas_sub_amostra) ,1,0,'C');//laudo

             //setor de fatores
 			 $cota1+=7;
			 $larg1=54;
			 $larg2=20;
			 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,35);
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Fatores de contaminação') ,0,0,'C');//laudo
			 $pdf->Cell($larguraUtil-$larg1,5,utf8_decode('Sub-amostras') ,1,0,'C');//lau
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('A') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('B') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('C') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('D') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('E') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('F') ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode('SOMA') ,1,0,'C');//laudo
             //SEGUDNA LINHA DE FATORES
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Plantas atípicas') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($a1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($b1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($c1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($d1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($e1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($f1) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($s1) ,1,0,'C');//laudo
             //terceira LINHA DE FATORES
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Plantas de outras espécies cultivadas') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($a2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($b2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($c2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($d2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($e2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($f2) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($s2) ,1,0,'C');//laudo
             //quaita LINHA DE FATORES
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Plantas  nocivas toleradas') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($a3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($b3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($c3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($d3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($e3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($f3) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($s3) ,1,0,'C');//laudo
             //QUINTA LINHA DE FATORES
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Plantas nocivas proibidas') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($a4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($b4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($c4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($d4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($e4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($f4) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($s4) ,1,0,'C');//laudo
             //SEXTA LINHA DE FATORES
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg1,5,utf8_decode('Outros') ,0,0,'L');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($a5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($b5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($c5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($d5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($e5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($f5) ,1,0,'C');//laudo
			 $pdf->Cell($larg2,5,utf8_decode($s5) ,1,0,'C');//laudo

             //setor de incidencia
 			 $cota1+=7;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Incidência de pragas e doenças:'.$pragas) ,1,0,'L');//laudo
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Tratamento recomendado:'.$tratamento) ,1,0,'L');//laudo
			 
             //setor de aprovacao
 			 $cota1+=7;
        	 $pdf->setXY($margemEsquerda+40,$cota1);
             $pdf->Rect($margemEsquerda+40,$cota1,4,4);
             $pdf->Rect($margemEsquerda+85,$cota1,4,4);
             $pdf->Rect($margemEsquerda+130,$cota1,4,4);
			 
			 $pdf->Cell(45,5, $aprovSim.utf8_decode('    Aprovado(ha)'),0,0,'L');//laudo
			 $pdf->Cell(45,5, $aprovNao.utf8_decode('    Condenado(ha)') ,0,0,'L');//laudo
			 $pdf->Cell(45,5, $revistoriaSim.utf8_decode('    Revistoria') ,0,0,'L');//laudo
			 
             //setor de nao conformidades
 			 $cota1+=7;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Não conformidades encontradas nas demais etapas de produção, inclusive beneficiamento e armazenamento:'),0,0,'L');//laudo
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode($conformidade) ,1,0,'L');//laudo

             //setor medidas corretivas
 			 $cota1+=7;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('Medidas corretivas a serem adotadas:'),0,0,'L');//laudo
 			 $cota1+=5;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode($medidas) ,1,0,'L');//laudo
			 
             //setor local e data
 			 $cota1+=7;
			 $local=$muniRT.', '.$dataLaudo;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode($local),0,0,'C');//laudo
 			 $cota1+=10;
             $pdf->Line(50,$cota1,150,$cota1);
        	 $pdf->setXY(80,$cota1);
			 $pdf->Cell(100,5,utf8_decode('Responsável técnico') ,0,0,'L');//laudo
			 
			 
 			 $cota1+=10;
        	 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell(150,5,utf8_decode('Ciente, __________de_____________________________') ,0,0,'C');//laudo
 			 $cota1+=15;
             $pdf->Line(50,$cota1,150,$cota1);
        	 $pdf->setXY(80,$cota1);
			 $pdf->Cell(100,5,utf8_decode('Cooperante ou produtor') ,0,0,'L');//laudo




ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
